OGRE: Ogre::TextureFrameControllerValue Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TextureFrameControllerValue Class Reference
Core » General

Predefined controller value for getting / setting the frame number of a texture layer. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TextureFrameControllerValue:
[legend]

## Public Member Functions
| TextureFrameControllerValue (TextureUnitState *t)
Real | getValue (void) const
| Gets the frame number as a parametric value in the range [0,1]. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | setValue (Real value)
| Sets the frame number as a parametric value in the range [0,1]; the actual frame number is (value * numFrames) % numFrames). More...

## Detailed Description

Predefined controller value for getting / setting the frame number of a texture layer.

## Constructor & Destructor Documentation

## ◆ TextureFrameControllerValue()

Ogre::TextureFrameControllerValue::TextureFrameControllerValue | ( | TextureUnitState * | t | ) |

## Member Function Documentation

## ◆ getValue()

Real Ogre::TextureFrameControllerValue::getValue | ( | void |  | ) | const
| virtual

Gets the frame number as a parametric value in the range [0,1].

Implements Ogre::ControllerValue< Real >.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setValue()

void Ogre::TextureFrameControllerValue::setValue | ( | Real | value | ) |
| virtual

Sets the frame number as a parametric value in the range [0,1]; the actual frame number is (value * numFrames) % numFrames).

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h